package idc.model;

import java.sql.Date;

public class IdcDeleteSubDBDTO
{
	private String client_name;
	private String service_code;
	private String server_code;
	private String behavior;
	private Date request_date;
	private Date cancel_date;
	private String payment_Status;
	private String note;
	private int amount;
	private int nonpayment;
	private int payment;
	private String ip;
	private String adddb_case;
	private String adddb_code;
	
	public String getIp()
	{
		return ip;
	}
	public void setIp(String ip)
	{
		this.ip = ip;
	}
	public String getAdddb_case()
	{
		return adddb_case;
	}
	public void setAdddb_case(String adddb_case)
	{
		this.adddb_case = adddb_case;
	}
	public String getAdddb_code()
	{
		return adddb_code;
	}
	public void setAdddb_code(String adddb_code)
	{
		this.adddb_code = adddb_code;
	}
	public String getServer_code()
	{
		return server_code;
	}
	public void setServer_code(String server_code)
	{
		this.server_code = server_code;
	}
	public int getAmount()
	{
		return amount;
	}
	public void setAmount(int amount)
	{
		this.amount = amount;
	}
	public int getNonpayment()
	{
		return nonpayment;
	}
	public void setNonpayment(int nonpayment)
	{
		this.nonpayment = nonpayment;
		payment = amount-nonpayment;
	}
	public int getPayment()
	{
		return payment;
	}
	public void setPayment(int payment)
	{
		nonpayment = amount-payment;
		this.payment = payment;
	}
	public String getClient_name()
	{
		return client_name;
	}
	public void setClient_name(String client_name)
	{
		this.client_name = client_name;
	}
	public String getService_code()
	{
		return service_code;
	}
	public void setService_code(String service_code)
	{
		this.service_code = service_code;
	}
	public String getBehavior()
	{
		return behavior;
	}
	public void setBehavior(String behavior)
	{
		this.behavior = behavior;
	}
	public Date getRequest_date()
	{
		return request_date;
	}
	public void setRequest_date(Date request_date)
	{
		this.request_date = request_date;
	}
	public Date getCancel_date()
	{
		return cancel_date;
	}
	public void setCancel_date(Date cancel_date)
	{
		this.cancel_date = cancel_date;
	}
	public String getPayment_Status()
	{
		return payment_Status;
	}
	public void setPayment_Status(String payment_Status)
	{
		this.payment_Status = payment_Status;
	}
	public String getNote()
	{
		return note;
	}
	public void setNote(String note)
	{
		this.note = note;
	}
	
}
